/**
* DevExtreme (common/grids.d.ts)
* Version: 22.1.4 (build 22237-0310)
* Build date: Thu Aug 25 2022
*
* Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export type ApplyFilterMode = 'auto' | 'onClick';

export type ApplyChangesMode = 'instantly' | 'onDemand';

export type ColumnChooserMode = 'dragAndDrop' | 'select';

export type DataChangeType = 'insert' | 'update' | 'remove';

export type DataRenderMode = 'standard' | 'virtual';

export type EnterKeyAction = 'startEdit' | 'moveFocus';

export type EnterKeyDirection = 'none' | 'column' | 'row';

export type FilterOperation = '=' | '<>' | '<' | '<=' | '>' | '>=' | 'contains' | 'endswith' | 'isblank' | 'isnotblank' | 'notcontains' | 'startswith' | 'between' | 'anyof' | 'noneof';

export type FilterType = 'exclude' | 'include';

export type GridsEditMode = 'batch' | 'cell' | 'row' | 'form' | 'popup';

export type GridsEditRefreshMode = 'full' | 'reshape' | 'repaint';

export type GroupExpandMode = 'buttonClick' | 'rowClick';

export type NewRowPosition = 'first' | 'last' | 'pageBottom' | 'pageTop' | 'viewportBottom' | 'viewportTop';

export type PagerDisplayMode = 'adaptive' | 'compact' | 'full';

export type PagerPageSize = 'all' | 'auto';

export type SelectedFilterOperation = '<' | '<=' | '<>' | '=' | '>' | '>=' | 'between' | 'contains' | 'endswith' | 'notcontains' | 'startswith';

export type SelectionColumnDisplayMode = 'always' | 'none' | 'onClick' | 'onLongTap';

export type StartEditAction = 'click' | 'dblClick';

export type StateStoreType = 'custom' | 'localStorage' | 'sessionStorage';

export type SummaryType = 'avg' | 'count' | 'custom' | 'max' | 'min' | 'sum';
