/**
 * DevExtreme (esm/renovation/utils/getThemeType.js)
 * Version: 22.1.4 (build 22237-0310)
 * Build date: Thu Aug 25 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    isMaterial,
    isCompact,
    current
} from "../../ui/themes";
var getThemeType = () => {
    var theme = current();
    return {
        isCompact: isCompact(theme),
        isMaterial: isMaterial(theme)
    }
};
export default getThemeType;
